org.eclipse.draw2d.text

## Class TextLayout

- java.lang.Object
- - org.eclipse.draw2d.text.FlowFigureLayout
  - - org.eclipse.draw2d.text.TextLayout

All Implemented Interfaces:
  LayoutManager

Direct Known Subclasses:
  ParagraphTextLayout, SimpleTextLayout

    public abstract class TextLayout
    extends FlowFigureLayout

Since:
  2.1

### Constructor Summary

Constructors
Constructor and Description
`TextLayout(TextFlow flow)` Creates a new TextLayout with the given TextFlow

### Method Summary

Methods
`protected TextFragmentBox` `getFragment(int i, java.util.List fragments)` Reuses an existing `TextFragmentBox`, or creates a new one.

### Methods inherited from class org.eclipse.draw2d.text.FlowFigureLayout

`getConstraint, getContext, getFlowFigure, getMinimumSize, getPreferredSize, invalidate, layout, layout, remove, setConstraint, setFlowContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextLayout

    public TextLayout(TextFlow flow)

Creates a new TextLayout with the given TextFlow

Parameters:
  `flow` - The TextFlow

### Method Detail

#### getFragment

    protected TextFragmentBox getFragment(int i,
                              java.util.List fragments)

Reuses an existing `TextFragmentBox`, or creates a new one.

Parameters:
  `i` - the index
  `fragments` - the original list of fragments
Returns:
  a TextFragmentBox